
Smart Proxy - Bug #23031

ISC DHCP new parser is still unable to parse DUID

03/27/2018 03:06 PM - Lukas Pramuk

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.18.0   

Difficulty:  Fixed in Releases: 1.18.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/571,

https://github.com/theforeman/smart-pro

xy/pull/604

  

Description

The new parser fails to parse the line in /var/lib/dhcpd/dhcpd.leases:

E, [2018-03-27T00:06:23.726811 ] ERROR -- : Couldn't enable 'dhcp_isc': 

in /var/lib/dhcpd/dhcpd.leases:6 at 1, expect token [ keyword_server_duid ]

 ^

E, [2018-03-27T00:06:23.727078 ] ERROR -- : Disabling all modules in the group ['dhcp_isc', 'dhcp'

] due to a failure in one of them: 

in /var/lib/dhcpd/dhcpd.leases:6 at 1, expect token [ keyword_server_duid ]

 The "winning" server duid is:

# The format of this file is documented in the dhcpd.leases(5) manual page.

# This lease file was written by isc-dhcp-4.2.5

server-duid "\000\001\000\001\"L{\010RT\000A\377\305";

(standard unmodified ISC DHCP from RHEL7.4)    

foreman-proxy-1.18.0-0.develop.201802282028gitaf41016.el7.noarch

dhcp-4.2.5-58.el7_4.3.x86_64

Related issues:

Related to Smart Proxy - Bug #23433: ISC DHCP new parser my break when parsin... Closed 04/27/2018

Related to Smart Proxy - Bug #24978: ISC DHCP parser does not support DDNS en... Closed

Associated revisions

Revision aaaa7737 - 04/05/2018 11:28 AM - Dmitri Dolguikh 

Fixes #23031 - parse server duid's with nested double quotes

History

#1 - 03/27/2018 03:21 PM - Lukas Pramuk

deleted line, restarted dhcpd, got new duid, new and failing:

server-duid "\000\001\000\001\"M\033\317RT\000A\377\305";

#2 - 03/27/2018 10:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing
- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/571 added

#3 - 04/05/2018 12:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset aaaa77371dbe8467d3815685d8c4f3c330c952ce.

#4 - 04/06/2018 08:19 AM - Lukas Zapletal

- translation missing: en.field_release set to 330

#5 - 04/27/2018 07:55 PM - Anonymous

- Related to Bug #23433: ISC DHCP new parser my break when parsing lease uids added

#6 - 05/01/2018 12:59 PM - Jorick Astrego

I've tried the patch in this issue after trying the patch in https://projects.theforeman.org/issues/20826

But I still get the following error on Katello 3.5/foreman 1.16:

E, [2018-05-01T13:50:43.338532 ] ERROR -- : Couldn't enable 'dhcp_isc': 

in /var/lib/dhcpd/dhcpd.leases:6 at 1, expect token [ include_keyword ]

 ^

E, [2018-05-01T13:50:43.338747 ] ERROR -- : Disabling all modules in the group ['dhcp_isc', 'dhcp'] due to a f

ailure in one of them: 

in /var/lib/dhcpd/dhcpd.leases:6 at 1, expect token [ include_keyword ]

 But not the keyword_server_duid error I expected:

in /var/lib/dhcpd/dhcpd.leases:6 at 1, expect token [ keyword_server_duid ]

 My DUID is:

cat /var/lib/dhcpd/dhcpd.leases# The format of this file is documented in the dhcpd.leases(5) manual page.

# This lease file was written by isc-dhcp-4.2.5

server-duid "\000\001\000\001\"{\032\342\000\032J\026\001w";

 To be sure I also replaced the file with https://github.com/theforeman/smart-proxy/blob/develop/modules/dhcp_common/isc/configuration_parser.rb to

no avail. And I'm not able to update foreman as it's tied to Katello.

#7 - 05/01/2018 03:29 PM - Jorick Astrego

Sorry, it's fixed. Did a reboot and after that it worked fine.

#8 - 06/10/2018 06:26 PM - Timo Goebel

This is actually in 1.17.0, see https://github.com/theforeman/smart-proxy/commit/9de73fb945cc7e12d1d77b0dd0c90e972bafad06.

Could someone please update the release field?

#9 - 07/11/2018 03:29 PM - Anonymous

- Target version deleted (1.18.0)

#10 - 08/15/2018 07:06 AM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/604 added

#11 - 08/29/2018 12:39 PM - Ewoud Kohl van Wijngaarden

- Target version changed from 546 to 1.18.0

- Triaged set to No

- Fixed in Releases 1.18.0 added

#12 - 09/19/2018 01:26 PM - Ian Freislich

- Related to Bug #24978: ISC DHCP parser does not support DDNS entries added

05/22/2024 2/3

https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/aaaa77371dbe8467d3815685d8c4f3c330c952ce
https://projects.theforeman.org/issues/20826
https://github.com/theforeman/smart-proxy/blob/develop/modules/dhcp_common/isc/configuration_parser.rb
https://github.com/theforeman/smart-proxy/commit/9de73fb945cc7e12d1d77b0dd0c90e972bafad06


Powered by TCPDF (www.tcpdf.org)

05/22/2024 3/3

http://www.tcpdf.org

